class Gestorh::Funcionario < Gestorh::GestorhRecord
  self.table_name = 'gestor_rh.cdfuncionario'

  has_many :movimento_acumulados, foreign_key: :mv_matricula, primary_key: :fn_matricula
  has_many :folhas, through: :movimento_acumulados
  has_many :ferias, foreign_key: :fe_matricula, primary_key: :fn_matricula, class_name: 'Gestorh::Ferias'
  belongs_to :vinculo, foreign_key: :fn_vinculo
end
