class Gestorh::MovimentoPosicao < Gestorh::GestorhRecord
  self.table_name = 'gestor_rh.cdmovtoposicao'

  belongs_to :vinculo, foreign_key: :mvps_vinculo, primary_key: :vc_codigo
  belongs_to :funcao, foreign_key: :mvps_funcao, primary_key: :fc_codigo
  belongs_to :cargo, foreign_key: :mvps_cargo, primary_key: :fc_codigo, class_name: 'Gestorh::Funcao'
  belongs_to :lotacao, foreign_key: :mvps_reglotacao, primary_key: :lt_registro
  belongs_to :nivel_salario, foreign_key: :mvps_nivelsalario, primary_key: :ns_registro
end
