class Intranet::AprocManifestacao < Intranet::IntranetRecord
  self.table_name = 'aproc_manifestacao'

  belongs_to :aproc_assuntodemanifestacao, :class_name => 'AprocAssuntodemanifestacao', :foreign_key => :assunto_id
  belongs_to :aproc_movimentacaomanifestacao, :class_name => 'AprocMovimentacaomanifestacao', :foreign_key => :ultimaMovimentacao_id
  belongs_to :aproc_movimentacaomanifestacao, :class_name => 'AprocMovimentacaomanifestacao', :foreign_key => :primeiraMovimentacao_id
  belongs_to :aproc_movimentacaomanifestacao, :class_name => 'AprocMovimentacaomanifestacao', :foreign_key => :primeiraMovimentacao_id
  belongs_to :aproc_anexomalote, :class_name => 'AprocAnexomalote', :foreign_key => :anexo_id
  belongs_to :aproc_assuntodemanifestacao, :class_name => 'AprocAssuntodemanifestacao', :foreign_key => :assunto_id
  belongs_to :aproc_movimentacaomanifestacao, :class_name => 'AprocMovimentacaomanifestacao', :foreign_key => :ultimaMovimentacao_id
  has_many :aproc_movimentacaomanifestacaos, :class_name => 'AprocMovimentacaomanifestacao'
  has_many :aproc_movimentacaomanifestacaos, :class_name => 'AprocMovimentacaomanifestacao'
  has_many :aproc_relacaomanifestacaos, :class_name => 'AprocRelacaomanifestacao'
  has_many :aproc_relacaomanifestacaos, :class_name => 'AprocRelacaomanifestacao'
  has_many :presenca_debitoremanscentenegociavels, :class_name => 'PresencaDebitoremanscentenegociavel'
  has_many :presenca_direitos, :class_name => 'PresencaDireito'
  has_many :presenca_registrofrequencia, :class_name => 'PresencaRegistrofrequencium'
  has_many :tjpi_gestorexcepcionals, :class_name => 'TjpiGestorexcepcional'
  has_many :tjpi_previnculado_manifestacoes, :class_name => 'TjpiPrevinculadoManifestaco'
  has_many :tjpi_previnculado_manifestacoes, :class_name => 'TjpiPrevinculadoManifestaco'
end
