class Intranet::ConcursosRemocaoInscricao < Intranet::IntranetRecord
  self.table_name = 'concursos_remocao_inscricao'

  belongs_to :concursos_remocao_concorrencium, :class_name => 'ConcursosRemocaoConcorrencium', :foreign_key => :concorrencia_id
  belongs_to :global_orgao, :class_name => 'GlobalOrgao', :foreign_key => :origemAtual_id
  belongs_to :global_orgao, :class_name => 'GlobalOrgao', :foreign_key => :resultadoDestino_id
  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :ultimoValidador_id
  belongs_to :tjpi_vinculo, :class_name => 'TjpiVinculo', :foreign_key => :vinculo_id
  has_many :concursos_remocao_opacaolotacaos, :class_name => 'ConcursosRemocaoOpacaolotacao'
end
