class Intranet::GlobalCidade < Intranet::IntranetRecord
  self.table_name = 'global_cidade'

  belongs_to :global_estado, :class_name => 'GlobalEstado', :foreign_key => :estado_sigla
  belongs_to :global_pai, :class_name => 'GlobalPai', :foreign_key => :pais_sigla
  has_many :global_enderecos, :class_name => 'GlobalEndereco'
  has_many :global_estados, :class_name => 'GlobalEstado'
  has_many :global_feriados, :class_name => 'GlobalFeriado'
  has_many :global_locals, :class_name => 'GlobalLocal'
  has_many :global_pessoafisicas, :class_name => 'GlobalPessoafisica'
  has_many :global_pessoafisicas, :class_name => 'GlobalPessoafisica'
  has_many :global_prepessoafisicas, :class_name => 'GlobalPrepessoafisica'
  has_many :global_prepessoafisicas, :class_name => 'GlobalPrepessoafisica'
  has_many :tjpi_vinculos, :class_name => 'TjpiVinculo'
end
