class Intranet::GlobalEstado < Intranet::IntranetRecord
  self.table_name = 'global_estado'
  self.primary_key = :sigla

  has_many :global_cidades, :class_name => 'GlobalCidade'
  belongs_to :global_cidade, :class_name => 'GlobalCidade', :foreign_key => :capital_id
  belongs_to :global_regiao, :class_name => 'GlobalRegiao', :foreign_key => :regiao_sigla
  has_many :global_estadosvizinhos, :class_name => 'GlobalEstadosvizinho'
  has_many :global_estadosvizinhos, :class_name => 'GlobalEstadosvizinho'
  has_many :global_pessoafisicas, :class_name => 'GlobalPessoafisica'
  has_many :global_prepessoafisicas, :class_name => 'GlobalPrepessoafisica'
  has_many :tjpi_vinculos, :class_name => 'TjpiVinculo'
end
