class Intranet::GlobalOrgao < Intranet::IntranetRecord
  self.table_name = 'global_orgao'

  has_many :aproc_destinos, :class_name => 'AprocDestino'
  has_many :aproc_destinos, :class_name => 'AprocDestino'
  has_many :concursos_remocao_disponibilidades, :class_name => 'ConcursosRemocaoDisponibilidade'
  has_many :concursos_remocao_inscricaos, :class_name => 'ConcursosRemocaoInscricao'
  has_many :concursos_remocao_inscricaos, :class_name => 'ConcursosRemocaoInscricao'
  has_many :concursos_remocao_opacaolotacaos, :class_name => 'ConcursosRemocaoOpacaolotacao'
  has_many :ferias_temps, :class_name => 'FeriasTemp'
  belongs_to :global_unidadeorganizacional, :class_name => 'GlobalUnidadeorganizacional', :foreign_key => :id
  belongs_to :global_pessoafisica, :class_name => 'GlobalPessoafisica', :foreign_key => :gestorSubstitutoAtual_id
  belongs_to :global_tipoorgao, :class_name => 'GlobalTipoorgao', :foreign_key => :tipo_id
  belongs_to :global_pessoafisica, :class_name => 'GlobalPessoafisica', :foreign_key => :gestorAtual_id
  belongs_to :global_pessoafisica, :class_name => 'GlobalPessoafisica', :foreign_key => :gestorExcepcionalAtual_id
  belongs_to :global_predio, :class_name => 'GlobalPredio', :foreign_key => :predioSede_id
  belongs_to :global_orgao, :class_name => 'GlobalOrgao', :foreign_key => :unidadeSuperior_id
  has_many :global_orgao_contatos, :class_name => 'GlobalOrgaoContato'
  has_many :legislacao_normas, :class_name => 'LegislacaoNorma'
  has_many :presenca_diaexcepcionals, :class_name => 'PresencaDiaexcepcional'
  has_many :presenca_registrofrequencia, :class_name => 'PresencaRegistrofrequencium'
  has_many :tjpi_comarcas, :class_name => 'TjpiComarca'
  has_many :tjpi_diaexcepcionals, :class_name => 'TjpiDiaexcepcional'
  has_many :tjpi_exerciciofuncaos, :class_name => 'TjpiExerciciofuncao'
  has_many :tjpi_exerciciolotacaos, :class_name => 'TjpiExerciciolotacao'
  has_many :tjpi_habilitacaovinculados, :class_name => 'TjpiHabilitacaovinculado'
  has_many :tjpi_opcaolotacaos, :class_name => 'TjpiOpcaolotacao'
  has_many :tjpi_orgaoopcaoselecaos, :class_name => 'TjpiOrgaoopcaoselecao'
  has_many :tjpi_rh_registro_diaria, :class_name => 'TjpiRhRegistroDiarium'
  has_many :tjpi_selecaopolos, :class_name => 'TjpiSelecaopolo'
  has_many :tjpi_selecionados, :class_name => 'TjpiSelecionado'
  has_many :tjpi_selecionados, :class_name => 'TjpiSelecionado'
  has_many :tjpi_selecionados, :class_name => 'TjpiSelecionado'
  has_many :tjpi_vinculos_cargos, :class_name => 'TjpiVinculo', foreign_key: :origemCargo_id
  has_many :tjpi_vinculos_ensino, :class_name => 'TjpiVinculo', foreign_key: :instituicaoDeEnsino_id
  has_many :tjpi_vinculos_atuais, :class_name => 'TjpiVinculo', foreign_key: :lotacaoAtual_id
  has_many :tjpi_vinculos_origem, :class_name => 'TjpiVinculo', foreign_key: :orgaoOrigem_id
end
