class Intranet::TjpiCargo < Intranet::IntranetRecord
  self.table_name = 'tjpi_cargo'

  has_many :concursos_remocao_concorrencia, :class_name => 'ConcursosRemocaoConcorrencium'
  belongs_to :tjpi_carreira, :class_name => 'TjpiCarreira', :foreign_key => :carreira_id
  belongs_to :tjpi_funcao, :class_name => 'TjpiFuncao', :foreign_key => :funcaoAtrelada_id
  belongs_to :global_unidadeorganizacional, :class_name => 'GlobalUnidadeorganizacional', :foreign_key => :lotacaoLegal_id
  belongs_to :tjpi_cargo, :class_name => 'TjpiCargo', :foreign_key => :anterior_id
  has_many :tjpi_cargo_embasamentos, :class_name => 'TjpiCargoEmbasamento'
  has_many :tjpi_vinculos, :class_name => 'TjpiVinculo', :foreign_key => :cargo_id
end
