class Intranet::TjpiFuncao < Intranet::IntranetRecord
  self.table_name = 'tjpi_funcao'

  has_many :tjpi_cargos, :class_name => 'TjpiCargo', :foreign_key => :funcaoAtrelada_id
  has_many :tjpi_exerciciofuncaos, :class_name => 'TjpiExerciciofuncao'
  belongs_to :tjpi_tipofuncao, :class_name => 'TjpiTipofuncao', :foreign_key => :tipo_id
  belongs_to :tjpi_funcao, :class_name => 'TjpiFuncao', :foreign_key => :anterior_id
  belongs_to :global_unidadeorganizacional, :class_name => 'GlobalUnidadeorganizacional', :foreign_key => :lotacaoLegal_id
  has_many :tjpi_funcao_embasamentos, :class_name => 'TjpiFuncaoEmbasamento'
  has_many :tjpi_unidadeorganizacionalfuncaos, :class_name => 'TjpiUnidadeorganizacionalfuncao'
  has_many :tjpi_unidadeorganizacionalfuncaos, :class_name => 'TjpiUnidadeorganizacionalfuncao'
  has_many :tjpi_vinculados, :class_name => 'TjpiVinculado'
end
