class Intranet::AprocHabilitacaomalote < Intranet::IntranetRecord
  self.table_name = 'aproc_habilitacaomalote'

  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :usuario_id
  belongs_to :aproc_destino, :class_name => 'AprocDestino', :foreign_key => :destino_id
  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :usuario_id
  belongs_to :aproc_destino, :class_name => 'AprocDestino', :foreign_key => :destino_id
  belongs_to :admin_user, :class_name => 'AdminUser', :foreign_key => :habilitador_login
  has_many :aproc_habilitacaomalote_tipoespecificos, :class_name => 'AprocHabilitacaomaloteTipoespecifico'
  has_many :aproc_habilitacaomalote_tipoespecificos, :class_name => 'AprocHabilitacaomaloteTipoespecifico'
  has_many :aproc_habilitacaomalote_tipoespecificos, :class_name => 'AprocHabilitacaomaloteTipoespecifico'
end
