class Intranet::GlobalPredio < Intranet::IntranetRecord
  self.table_name = 'global_predio'


  has_many :global_orgaos, :class_name => 'GlobalOrgao'
  belongs_to :global_endereco, :class_name => 'GlobalEndereco', :foreign_key => :endereco_id
  has_many :presenca_estacao_predios, :class_name => 'PresencaEstacaoPredio'
  has_many :presenca_frequentadors, :class_name => 'PresencaFrequentador'
end
