class Intranet::GlobalUnidadeorganizacional < Intranet::IntranetRecord
  self.table_name = 'global_unidadeorganizacional'

  has_many :global_orgaos, :class_name => 'GlobalOrgao', :foreign_key => :id
  has_many :global_tipoorgaos, :class_name => 'GlobalTipoorgao', :foreign_key => :id
  has_many :tjpi_cargos, :class_name => 'TjpiCargo'
  has_many :tjpi_carreiras, :class_name => 'TjpiCarreira'
  has_many :tjpi_funcaos, :class_name => 'TjpiFuncao', :foreign_key => :lotacaoLegal_id
  has_many :tjpi_unidadeorganizacionalfuncaos, :class_name => 'TjpiUnidadeorganizacionalfuncao'
  has_many :tjpi_viculos, :class_name => "TjpiVinculo", :foreign_key => :id

  has_many :global_predio, through: :global_orgaos
end
