class Intranet::PresencaDireito < Intranet::IntranetRecord
  self.table_name = 'presenca_direito'

  belongs_to :presenca_frequentador, :class_name => 'PresencaFrequentador', :foreign_key => :frequentador_id
  belongs_to :sistema_usuario, :class_name => 'SistemaUsuario', :foreign_key => :responsavel_id
  belongs_to :tjpi_previnculadointervencao, :class_name => 'TjpiPrevinculadointervencao', :foreign_key => :intervencao_id
  belongs_to :aproc_manifestacao, :class_name => 'AprocManifestacao', :foreign_key => :manifestacao_id
end
