class Intranet::TjpiCarreira < Intranet::IntranetRecord
  self.table_name = 'tjpi_carreira'

  has_many :tjpi_cargos, :class_name => 'TjpiCargo', foreign_key: :carreira_id
  belongs_to :legislacao_documentocomprobatorio, :class_name => 'LegislacaoDocumentocomprobatorio', :foreign_key => :documentoComprobatorio_id
  belongs_to :tjpi_areacarreira, :class_name => 'TjpiAreacarreira', :foreign_key => :areaCarreira_id
  belongs_to :global_unidadeorganizacional, :class_name => 'GlobalUnidadeorganizacional', :foreign_key => :lotacaoOriginal_id
  belongs_to :tjpi_carreira, :class_name => 'TjpiCarreira', :foreign_key => :anterior_id
  belongs_to :tjpi_grupofuncional, :class_name => 'TjpiGrupofuncional', :foreign_key => :grupoFuncional_id
end
